Index: uspace/drv/uhci-hcd/uhci.c
===================================================================
--- uspace/drv/uhci-hcd/uhci.c	(revision 1256a0a8bd51a5f673fce31e8397498509b6127d)
+++ uspace/drv/uhci-hcd/uhci.c	(revision afcd86e9f09edc94d52d75cd6c0f642518cdbc25)
@@ -1,10 +1,8 @@
 #include <errno.h>
+
 #include <usb/debug.h>
 #include <usb/usb.h>
 
 #include "utils/malloc32.h"
-
-#include "debug.h"
-#include "name.h"
 #include "uhci.h"
 
@@ -16,9 +14,9 @@
 {
 	assert(device);
-	uhci_print_info("Initializing device at address %p.\n", device);
+	usb_log_info("Initializing device at address %p.\n", device);
 
 #define CHECK_RET_FREE_INSTANCE(message...) \
 	if (ret != EOK) { \
-		uhci_print_error(message); \
+		usb_log_error(message); \
 		if (instance) { \
 			free(instance); \
@@ -36,5 +34,5 @@
 	/* init address keeper(libusb) */
 	usb_address_keeping_init(&instance->address_manager, USB11_ADDRESS_MAX);
-	uhci_print_verbose("Initialized address manager.\n");
+	usb_log_debug("Initialized address manager.\n");
 
 	/* allow access to hc control registers */
@@ -44,13 +42,13 @@
 	CHECK_RET_FREE_INSTANCE("Failed to gain access to registers at %p.\n", io);
 	instance->registers = io;
-	uhci_print_verbose("Device registers accessible.\n");
+	usb_log_debug("Device registers accessible.\n");
 
 	/* init transfer lists */
 	ret = uhci_init_transfer_lists(instance->transfers);
 	CHECK_RET_FREE_INSTANCE("Failed to initialize transfer lists.\n");
-	uhci_print_verbose("Transfer lists initialized.\n");
-
-
-	uhci_print_verbose("Initializing frame list.\n");
+	usb_log_debug("Transfer lists initialized.\n");
+
+
+	usb_log_debug("Initializing frame list.\n");
 	instance->frame_list = get_page();
 	ret = instance ? EOK : ENOMEM;
@@ -76,5 +74,5 @@
 	fibril_add_ready(instance->debug_checker);
 
-	uhci_print_verbose("Starting UHCI HC.\n");
+	usb_log_debug("Starting UHCI HC.\n");
 	pio_write_16(&instance->registers->usbcmd, UHCI_CMD_RUN_STOP);
 /*
@@ -96,5 +94,5 @@
 	ret = transfer_list_init(&transfers[USB_TRANSFER_BULK], NULL);
 	if (ret != EOK) {
-		uhci_print_error("Failed to initialize bulk queue.\n");
+		usb_log_error("Failed to initialize bulk queue.\n");
 		return ret;
 	}
@@ -103,5 +101,5 @@
 	  &transfers[USB_TRANSFER_CONTROL], &transfers[USB_TRANSFER_BULK]);
 	if (ret != EOK) {
-		uhci_print_error("Failed to initialize control queue.\n");
+		usb_log_error("Failed to initialize control queue.\n");
 		transfer_list_fini(&transfers[USB_TRANSFER_BULK]);
 		return ret;
@@ -111,5 +109,5 @@
 	  &transfers[USB_TRANSFER_INTERRUPT], &transfers[USB_TRANSFER_CONTROL]);
 	if (ret != EOK) {
-		uhci_print_error("Failed to initialize interrupt queue.\n");
+		usb_log_error("Failed to initialize interrupt queue.\n");
 		transfer_list_fini(&transfers[USB_TRANSFER_CONTROL]);
 		transfer_list_fini(&transfers[USB_TRANSFER_BULK]);
@@ -144,5 +142,5 @@
 #define CHECK_RET_TRANS_FREE_JOB_TD(message) \
 	if (ret != EOK) { \
-		uhci_print_error(message); \
+		usb_log_error(message); \
 		if (job) { \
 			callback_dispose(job); \
@@ -167,5 +165,5 @@
 	assert(instance);
 
-	uhci_print_verbose("Appending a new transfer to queue.\n");
+	usb_log_debug("Appending a new transfer to queue.\n");
 	ret = transfer_list_append(&instance->transfers[transfer_type], td);
 	CHECK_RET_TRANS_FREE_JOB_TD("Failed to append transfer descriptor.\n");
@@ -176,10 +174,10 @@
 int uhci_clean_finished(void* arg)
 {
-	uhci_print_verbose("Started cleaning fibril.\n");
+	usb_log_debug("Started cleaning fibril.\n");
 	uhci_t *instance = (uhci_t*)arg;
 	assert(instance);
 
 	while(1) {
-		uhci_print_verbose("Running cleaning fibril on: %p.\n", instance);
+		usb_log_debug("Running cleaning fibril on: %p.\n", instance);
 		/* iterate all transfer queues */
 		int i = 0;
@@ -189,9 +187,9 @@
 			volatile transfer_descriptor_t * it =
 				instance->transfers[i].first;
-			uhci_print_verbose("Running cleaning fibril on queue: %p (%s).\n",
+			usb_log_debug("Running cleaning fibril on queue: %p (%s).\n",
 				&instance->transfers[i], it ? "SOMETHING" : "EMPTY");
 
 		if (it)
-			uhci_print_verbose("First in queue: %p (%x).\n",
+			usb_log_debug("First in queue: %p (%x).\n",
 				it, it->status);
 
@@ -199,5 +197,5 @@
 			 !(instance->transfers[i].first->status & TD_STATUS_ERROR_ACTIVE)) {
 				transfer_descriptor_t *transfer = instance->transfers[i].first;
-				uhci_print_info("Inactive transfer calling callback with status %x.\n",
+				usb_log_info("Inactive transfer calling callback with status %x.\n",
 				  transfer->status);
 				instance->transfers[i].first = transfer->next_va;
@@ -219,21 +217,21 @@
 		uint16_t cmd = pio_read_16(&instance->registers->usbcmd);
 		uint16_t sts = pio_read_16(&instance->registers->usbsts);
-		uhci_print_verbose("Command register: %X Status register: %X\n", cmd, sts);
+		usb_log_debug("Command register: %X Status register: %X\n", cmd, sts);
 /*
 		uintptr_t frame_list = pio_read_32(&instance->registers->flbaseadd);
-		uhci_print_verbose("Framelist address: %p vs. %p.\n",
+		usb_log_debug("Framelist address: %p vs. %p.\n",
 			frame_list, addr_to_phys(instance->frame_list));
 		int frnum = pio_read_16(&instance->registers->frnum) & 0x3ff;
-		uhci_print_verbose("Framelist item: %d \n", frnum );
+		usb_log_debug("Framelist item: %d \n", frnum );
 
 		queue_head_t* qh = instance->transfers[USB_TRANSFER_INTERRUPT].queue_head;
-		uhci_print_verbose("Interrupt QH: %p vs. %p.\n",
+		usb_log_debug("Interrupt QH: %p vs. %p.\n",
 			instance->frame_list[frnum], addr_to_phys(qh));
 
-		uhci_print_verbose("Control QH: %p vs. %p.\n", qh->next_queue,
+		usb_log_debug("Control QH: %p vs. %p.\n", qh->next_queue,
 			addr_to_phys(instance->transfers[USB_TRANSFER_CONTROL].queue_head));
 		qh = instance->transfers[USB_TRANSFER_CONTROL].queue_head;
 
-		uhci_print_verbose("Bulk QH: %p vs. %p.\n", qh->next_queue,
+		usb_log_debug("Bulk QH: %p vs. %p.\n", qh->next_queue,
 			addr_to_phys(instance->transfers[USB_TRANSFER_BULK].queue_head));
 	uint16_t cmd = pio_read_16(&instance->registers->usbcmd);
